: <<'END'
@rem winodws code here:
@echo off
setlocal enabledelayedexpansion
echo Checking for ffmpeg.
ffmpeg >nul 2>&1 -version
if !errorlevel! neq 0 (
  echo ERROR: FFMPEG not available. Install it and run this script again.
  pause
  exit /b
)
echo %date% %time%: Beginning batch conversion.
for /R %%i in (*.*) do (
  vis_oggtranscoder.exe "%%i" -info 0
  if !errorlevel! equ 0 (
    vis_oggtranscoder.exe "%%i" "%%i.new"
    if !errorlevel! equ 0 (
      del "%%i"
      move >nul "%%i.new" "%%i"
    ) else (
      echo failed on "%%i"
      del "%%i.new"
    )
  )
)
echo %date% %time%: We are done.
pause
exit /b

END
# bash code here:
#!/bin/bash
APPROOT=$(cd "${0%/*}" && echo $PWD)
cd "$APPROOT"
if ! ffmpeg >/dev/null 2>/dev/null -version; then
  echo ERROR: FFMPEG not available. Install it and run this script again.
  read -p "Press Enter to continue" </dev/tty
  exit
fi
echo $(date): Beginning batch conversion.
for i in $(find . -type f -print)
do
  if ./vis_oggtranscoder $i -info 0 ; then 
    if ./vis_oggtranscoder $i $i.new ; then
      rm $i
      mv $i.new $i
    else
      echo failed on $i
      rm $i.new
    fi
  fi
done
echo $(date): We are done.
read -p "Press Enter to continue" </dev/tty
